﻿@using GridMvc.Html
@using GridMvc.Sorting
@using LoyaltyPointEngine.Model.Object
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<UptradeManageModel>


@(
 Html.Grid(Model).Named("AllUptrade").Columns(columns =>
 {
     columns.Add(x => x.Channel)
         .Titled("Channel Before")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Channel).Filterable(true);

     columns.Add(x => x.ProductBefore)
        .Titled("Product Before")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.ProductBefore).Filterable(true);

     columns.Add(x => x.ProductAfter)
         .Titled("Product After")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.ProductAfter).Filterable(true);

     columns.Add(x => x.Point)
        .Titled("Point")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.Point.ToString()).Filterable(true);

     columns.Add(x => x.StartDate)
        .Titled("Start Date")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.StartDate.ToString("dd-MM-yyyy")).Filterable(true);

     columns.Add(x => x.EndDate)
       .Titled("End Date")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.EndDate.ToString("dd-MM-yyyy")).Filterable(true);

     columns.Add(x => x.Remarks)
       .Titled("Remarks")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.Remarks).Filterable(true);

     columns.Add(x => x.CreatedDate)
         .Titled("Created Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CreatedDate.ToString("dd-MM-yyyy HH:mm"));

     columns.Add()
        .Encoded(false)
        .Sanitized(false)
        .SetWidth(50)
        .Css("cell-center")
   .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-success\">Sync Uptrade</a>", Url.Action(MVC.UptradeManage.Sync(Convert.ToInt32(x.ID)))));

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
     .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.UptradeManage.Edit(Convert.ToInt32(x.ID)))));

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
    .RenderValueAs(x => string.Format("<a href=\"{0}\" data-link=\"{1}\" data-name=\"{2}\" class=\"btn btn-xs btn-danger confirmModal\">Delete</a>", "#", Url.Action(MVC.UptradeManage.Delete(Convert.ToInt32(x.ID))), x.Remarks));

 }).Filterable()
.Sortable()
.WithPaging(5)
)
